/*
================================ COPYRIGHT ================================
The contents of this file are subject to the VTech Informations Ltd. License
of VT-OS Ver. 1.1 operating system (the "License"); you may not use this 
file except in compliance with the License.  
 
Software distributed under the License is distributed on an "AS IS" basis, 
WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License 
for the specific language governing rights and limitations under the License.
 
The Original Code is VT-OS Ver. 1.1 Operating System, released 
on October 1st, 1999

The Initial Developer of the Original Code is VTech Informations Ltd.  All 
codes are Copyright (C) VTech Informations Ltd. 1999.  All Rights Reserved.
===========================================================================
*/

/*
===========================================================================
File        :   app.h
Author(s)   :   Kenny Ng
Company     :   VTech Informations Ltd.
Project     :   Helio 
Date:	    :   October 1st, 1999
Purpose:	:   application header file
Revision    :   1.1
Note        :   None
===========================================================================
*/              




#ifndef _APP_H_
#define _APP_H_

#include "datatype.h"
#include "uifunc.h"
#include "uidef.h"
#include "synclang.h"

#define FORM_PC_SYNC			0
#define BITMAP_PC_SYNC_0_ON		1
#define BITMAP_PC_SYNC_0_OFF	2
#define BITMAP_PC_SYNC_1_ON		3
#define BITMAP_PC_SYNC_1_OFF	4
#define BITMAP_PC_SYNC_2_ON		5
#define BITMAP_PC_SYNC_2_OFF	6
#define FORM_SYNC_LOG			7
#define BITMAP_SYNC_LOG_X		8
#define LIST_SYNC_LOG			9
#define SCROLLBAR_SYNC_LOG		10
BOOLEAN SyncAppLaunch(WORD cmd, void *cmd_ptr);
BOOLEAN PCSyncMain(EvtType *Event);
BOOLEAN PCSyncLog(EvtType *Event);

void DispStateReady();
void DispState1();
void DispState2();
void DispState3();
void PCSyncScrollbarSetList(EvtType *Event);
BOOLEAN PCSyncListSetScrollbar();
#endif
